Page MenuHomePhabricator

1.35.0-wmf.30 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.30
Release Date
Apr 27 2020, 12:00 AM
Backup Conductor
brennen

2020 week 18 1.35-wmf.30 Changes wmf/1.35.0-wmf.30

This MediaWiki Train Deployment is scheduled for the week of Monday, April 27th:

Monday April 27thTuesday, April 28thWednesday, April 29thThursday, April 30thFriday
Backports only.Branch wmf.30 and deploy to Group 0 Wikis.Deploy wmf.30 to Group 1 Wikis.Deploy wmf.30 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.30 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.29
Next: 1.35.0-wmf.31

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2020, 10:29 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: brennen.
thcipriani mentioned this in Unknown Object (Event).Apr 16 2020, 4:03 PM
thcipriani mentioned this in Unknown Object (Event).

Notalbe patch alert: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/581247

This patch is hard deprecating a ton of methods in the Article class, which are proxying to WikiPage. It's a big step in the split of the two. However, since so much is being deprecated, and since the methods in Article and in WikiPage are named the same, it's really hard to track down all the usages. We have done a lot of work tracking usages down, but I can not be 100% sure we have covered every single one of them. So, worst case scenario, there might be significant number of deprecation warning logs emitted. But, it shouldn't actually break anything and the impact would be limited to potential excessive logging.

I'll be watching the trains go and hunting the deprecation logs, but please ping me of CPT in case we miss something.

brennen moved this task from Backlog to Next on the User-brennen board.Apr 21 2020, 9:30 PM

@Pchelolo thanks for the heads up!

Staring the branch cut.

Deplolyed to testwikis, and ran over the EU SWAT window. Logstash looks calms after half an hour.

Promoted to group0.

brennen moved this task from Next to In Progress on the User-brennen board.Apr 28 2020, 5:08 PM

I'm signing off for the day. Noting here that logs have been somewhat noisy for much of the day, likely due to some ongoing database load issues (see backscroll in #wikimedia-sre), but I believe wmf.30 has been uneventful apart from T251306.

I'm signing off for the day. Noting here that logs have been somewhat noisy for much of the day, likely due to some ongoing database load issues (see backscroll in #wikimedia-sre), but I believe wmf.30 has been uneventful apart from T251306.

T251357: Logs: Use of ArchivedFile::userCan without passing a $user parameter was deprecated in MediaWiki 1.35 isn't new in wmf.30 (caused ~6 weeks ago, my bad), but should the fix be backported?

If it's just log noise, we can wait for next week's train I think.

I've woken up and logstash for the past 12 hours seems reasonably calm.

@LarsWirzenius just in case you miss it (better safe than sorry): T251404: `editingold` when creating a new page may not be showing up on logstash, since it is a logic error

@DannyS712 thanks; I've commented on that task, but to summarize: I don't think it's a blocker for group1, but we should fix it, possibly in SWAT.

group1 is at 1.35.30-wmf.30 now

@DannyS712 thanks; I've commented on that task, but to summarize: I don't think it's a blocker for group1, but we should fix it, possibly in SWAT.

Cross posting from that task: Backport scheduled for swat: Wednesday, April 29 18:00–19:00 UTC morning swat

cscott added a subscriber: cscott.Apr 29 2020, 9:12 PM

Cross-posting from T251409: Argument 1 passed to Parser::fetchTemplateAndTitle() must be an instance of Title, null given, called in /srv/mediawiki/php-1.35.0-wmf.30/extensions/Quiz/includes/Quiz.php on line 258 -- that will cause an Errore irreversibile di tipo "TypeError" on pages which contain a <quiz> which attempts to double-brace-include a bad title, such as https://it.wikiversity.org/wiki/Apparato_respiratorio_(scuola_media) which contains <quiz> ... {{ip|wikt}} ... </quiz> (the | is not allowed in titles and Quiz's include parser doesn't know how to separate template arguments).

There's a patch in gerrit already; it should be backported.

Signing off for the evening. Train is currently unblocked; I've sent mail to that effect to the usual places.

Just promoted all sites to wmf.30.

Logstash is still fairly quiet after two hours.

I'm signing off for today, assigning to Brennen in case something happens later today.

Currently reverted to group0.

This should, I believe, be clear to move forward on Monday morning once the 593765: rdbms: don't treat lock() as a write operation backport is merged and deployed.

That seems to have been merged, but I don't know if it's been deployed.

That seems to have been merged, but I don't know if it's been deployed.

Deployed. Provisionally declaring fixed.

Hopefully unblocked now?

Yeah, train is all at wmf.30 again. Now watching logs with extra nervosity.

Over to Brennen again.

brennen closed this task as Resolved.May 4 2020, 10:42 PM

Has been stable since handed off from Lars.